summaryrefslogtreecommitdiff
path: root/iso
diff options
context:
space:
mode:
Diffstat (limited to 'iso')
-rwxr-xr-xiso/bin/serial_console17
-rwxr-xr-xiso/bin/setup256
-rw-r--r--iso/etc/fstab5
-rw-r--r--iso/etc/hosts7
-rw-r--r--iso/etc/inittab23
-rw-r--r--iso/etc/issue3
-rw-r--r--iso/etc/ld.so.conf5
-rw-r--r--iso/etc/protocols149
-rwxr-xr-xiso/etc/rc27
-rwxr-xr-xiso/etc/rc.shutdown26
-rwxr-xr-xiso/etc/rc.single14
-rw-r--r--iso/etc/services512
-rw-r--r--iso/isolinux/boot.msg7
-rw-r--r--iso/isolinux/isolinux.cfg7
14 files changed, 1058 insertions, 0 deletions
diff --git a/iso/bin/serial_console b/iso/bin/serial_console
new file mode 100755
index 0000000..283962b
--- /dev/null
+++ b/iso/bin/serial_console
@@ -0,0 +1,17 @@
+#!/bin/sh
+#
+# /usr/bin/serial_console
+#
+# This script opens a tty on /dev/tts/0 if it is a valid terminal, otherwise
+# goes to sleep for a year. This script is needed to prevent init(1) from
+# respawning agetty over and over again on machines that doesn't have a serial
+# port.
+#
+
+if stty -F /dev/tts/0 > /dev/null 2>&1; then
+ exec /sbin/agetty 38400 tts/0 vt100
+else
+ exec /usr/bin/sleep 365d
+fi
+
+# End of file
diff --git a/iso/bin/setup b/iso/bin/setup
new file mode 100755
index 0000000..49fd45f
--- /dev/null
+++ b/iso/bin/setup
@@ -0,0 +1,256 @@
+#!/bin/bash
+#
+# CRUX Setup
+#
+# Copyright (c) 2001-2005 by Per Liden <per@fukt.bth.se>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
+# USA.
+#
+
+VERSION="2.1"
+
+do_dialog() {
+ dialog --backtitle "CRUX $VERSION Setup" --no-shadow "$@"
+}
+
+do_abort() {
+ do_dialog --aspect 50 --defaultno --yesno "Abort installation?" 0 0 && exit 1
+}
+
+do_select() {
+ while true; do
+ do_dialog "$@"
+ if [ $? != 0 ]; then
+ do_abort
+ else
+ break
+ fi
+ done
+}
+
+welcome() {
+ do_select --aspect 5 --yesno "Welcome!\n\nThis script will guide you through the installation of CRUX packages.\n\nBefore starting the installation make sure you have read and understood the \"CRUX Installation Guide\". If you have done that then please continue, else abort the installation and come back later.\n\nAre you really sure you want to continue?" 0 0
+}
+
+select_action() {
+ do_select --menu "Install or upgrade?" 9 45 2 \
+ "1" "Install CRUX $VERSION" \
+ "2" "Upgrade to CRUX $VERSION" 2> $tmpfile
+ ACTION=`cat $tmpfile`
+ if [ "$ACTION" = "1" ]; then
+ ACTION="INSTALL"
+ else
+ ACTION="UPGRADE"
+ do_select --aspect 5 --yesno "NOTE!\n\nBefore upgrading make sure /etc/pkgadd.conf in the old installation is tuned to fit your needs, important files might otherwise be overwritten. Further, when this script has completed the upgrade you need to go though the rejected files in /var/lib/pkg/rejected/ and upgrade them manually if needed. See the pkgadd(8) man page for more information about /etc/pkgadd.conf.\n\nAre you really sure you want to continue?" 0 0
+ fi
+}
+
+select_root() {
+ while true; do
+ do_select --aspect 40 --inputbox "Enter directory where your CRUX root partition is mounted:" 0 0 "/mnt" 2> $tmpfile
+ ROOT=`cat $tmpfile`
+ if [ -d "$ROOT" ]; then
+ if [ "$ACTION" = "INSTALL" ] || [ -f "$ROOT/var/lib/pkg/db" ]; then
+ break
+ fi
+ do_dialog --aspect 50 --msgbox "Directory does not look like a CRUX root directory. Try again." 0 0
+ else
+ do_dialog --aspect 50 --msgbox "Directory not found. Try again." 0 0
+ fi
+ done
+}
+
+select_packages() {
+ if [ ! -d base ] || [ ! -d opt ] || [ ! -d contrib ] || [ ! -d kernel ]; then
+ do_dialog --aspect 50 --msgbox "Package directories (base, opt, contrib and kernel) were not found in $crux_dir. Aborting." 0 0
+ exit 1
+ fi
+
+ do_dialog --aspect 50 --infobox "Searching for packages, please wait..." 0 0
+
+ if [ "$ACTION" = "INSTALL" ]; then
+ # Install
+ TITLE="Select packages to install:"
+ BASE_LIST=`find base -name '*.pkg.tar.gz' -printf '%f (base) ON\n' | sed 's/.pkg.tar.gz//g' | sort | xargs echo ' '`
+ OPT_LIST=`find opt -name '*.pkg.tar.gz' -printf '%f (opt) OFF\n' | sed 's/.pkg.tar.gz//g' | sort | xargs echo ' '`
+ CONTRIB_LIST=`find contrib -name '*.pkg.tar.gz' -printf '%f (contrib) OFF\n' | sed 's/.pkg.tar.gz//g' | sort | xargs echo ' '`
+ else
+ # Upgrade
+ TITLE="Select packages to upgrade:"
+ INSTALLED_PACKAGES=`pkginfo -r $ROOT -i | gawk '{ print $1; }'`
+ for package in $INSTALLED_PACKAGES; do
+ BASE_LIST="$BASE_LIST `find base -name \"${package}#*.pkg.tar.gz\" -printf '%f (base) ON\n' | sed 's/.pkg.tar.gz/ /g' | sort | xargs echo ' '`"
+ OPT_LIST="$OPT_LIST `find opt -name \"${package}#*.pkg.tar.gz\" -printf '%f (opt) ON\n' | sed 's/.pkg.tar.gz/ /g' | sort | xargs echo ' '`"
+ CONTRIB_LIST="$CONTRIB_LIST `find contrib -name \"${package}#*.pkg.tar.gz\" -printf '%f (contrib) ON\n' | sed 's/.pkg.tar.gz/ /g' | sort | xargs echo ' '`"
+ done
+ fi
+
+ do_select --separate-output --checklist "$TITLE" 19 60 12 $BASE_LIST $OPT_LIST $CONTRIB_LIST 2> $pkgfile
+}
+
+confirm() {
+ if [ "$ACTION" = "INSTALL" ]; then
+ # Install
+ do_select --aspect 25 --yesno "Selected packages will now be installed. Are you sure you want to continue?" 0 0
+ else
+ # Upgrade
+ do_select --aspect 25 --yesno "Selected packages will now be upgraded. Are you sure you want to continue?" 0 0
+ fi
+}
+
+progressbar() {
+ echo "XXX"
+ expr $COUNT '*' 100 / $TOTAL
+ echo "\n$*"
+ echo "XXX"
+ let $((COUNT+=1))
+}
+
+install_packages() {
+ if [ ! -d $ROOT/var/lib/pkg ]; then
+ mkdir -p $ROOT/var/lib/pkg
+ touch $ROOT/var/lib/pkg/db
+ fi
+
+ if [ -d $ROOT/var/lib/pkg/rejected ]; then
+ rm -rf $ROOT/var/lib/pkg/rejected
+ fi
+
+ if [ "$ACTION" = "INSTALL" ]; then
+ PKGARGS=""
+ else
+ # We use -f here since we want to avoid pkgadd conflicts.
+ # Unwanted/Unexpected conflicts could arise if files are
+ # moved from one package to another, or if the user added
+ # the files himself. Instead of failing the whole upgrade
+ # we force the upgrade. This should be fairly safe and it
+ # will probably help to avoid some "semi-bogus" errors from
+ # pkgadd. The rules in /etc/pkgadd.conf will still be used.
+ PKGARGS="-f -u"
+ fi
+
+ (
+ # Log header
+ echo "Log ($logfile)" > $logfile
+ echo "----------------------------------------------------------" >> $logfile
+
+ # Install packages
+ KERNEL=./kernel/linux-*.tar.bz2
+ KERNEL_VERSION=`basename $KERNEL .tar.bz2 | sed "s/linux-//"`
+ TOTAL=`cat $pkgfile | wc -l`
+ let $((TOTAL+=1))
+ let $((COUNT=0))
+ let $((ERRORS=0))
+ for FILE in `cat $pkgfile`; do
+ progressbar "Installing $FILE..."
+ echo -n "Installing $FILE....." >> $logfile
+ PKG_FILE=`find . -name "$FILE.pkg.tar.gz"`
+ pkgadd -r $ROOT $PKGARGS $PKG_FILE > $tmpfile 2>&1
+ if [ $? = 0 ]; then
+ echo "OK" >> $logfile
+ else
+ let $((ERRORS+=1))
+ echo "ERROR" >> $logfile
+ echo "" >> $logfile
+ cat $tmpfile >> $logfile
+ echo "" >> $logfile
+ fi
+ done
+
+ # Install kernel
+ if [ ! -d $ROOT/usr/src/linux-$KERNEL_VERSION ]; then
+ progressbar "Installing `basename $KERNEL .tar.bz2`..."
+ echo -n "Installing `basename $KERNEL .tar.bz2`....." >> $logfile
+ (
+ set -e
+ tar -C $ROOT/usr/src -xjf $KERNEL
+ cp -f ./kernel/linux-$KERNEL_VERSION.config $ROOT/usr/src/linux-$KERNEL_VERSION/.config
+ chown -R root.root $ROOT/usr/src/linux-$KERNEL_VERSION
+ shopt -s nullglob
+ for patch in ./kernel/linux-$KERNEL_VERSION-*.patch; do
+ patch -s -d $ROOT/usr/src/linux-$KERNEL_VERSION -p1 < $patch
+ done
+ if [ ! -d $ROOT/lib/modules/$KERNEL_VERSION ]; then
+ mkdir -p $ROOT/lib/modules/$KERNEL_VERSION
+ depmod -b $ROOT -a $KERNEL_VERSION
+ fi
+ ) > $tmpfile 2>&1
+ if [ $? = 0 ]; then
+ echo "OK" >> $logfile
+ else
+ let $((ERRORS+=1))
+ echo "ERROR" >> $logfile
+ echo "" >> $logfile
+ cat $tmpfile >> $logfile
+ echo "" >> $logfile
+ fi
+ else
+ echo "Directory $ROOT/usr/src/linux-$KERNEL_VERSION already exists." >> $logfile
+ echo "Assuming linux-$KERNEL_VERSION is already installed." >> $logfile
+ fi
+
+ # Log footer
+ echo "----------------------------------------------------------" >> $logfile
+ echo "$ERRORS error(s) found" >> $logfile
+
+ cat $logfile > $tmpfile
+
+ echo "" > $logfile
+ if [ "$ERRORS" = "0" ]; then
+ echo "$ACTION COMPLETED SUCCESSFULLY!" >> $logfile
+ else
+ echo "$ACTION FAILED!" >> $logfile
+ fi
+ echo "" >> $logfile
+ echo "" >> $logfile
+ cat $tmpfile >> $logfile
+
+ ) | do_dialog --title " Please wait " --gauge "" 8 60 0
+
+ # Show log
+ do_dialog --exit-label "OK" --textbox $logfile 19 68
+}
+
+main() {
+ welcome
+ select_action
+ select_root
+ select_packages
+ confirm
+ install_packages
+}
+
+tmpfile=/tmp/tmp.$$
+pkgfile=/tmp/packages.$$
+logfile=/tmp/log.$$
+crux_dir=/crux
+
+trap "rm -f $tmpfile $pkgfile" 0 1 2 5 15
+
+if [ "$1" != "" ]; then
+ crux_dir=$1
+fi
+
+if [ -d $crux_dir ]; then
+ cd $crux_dir
+else
+ do_dialog --aspect 50 --msgbox "Directory $crux_dir not found. Aborting." 0 0
+ exit 1
+fi
+
+main
+
+# End of file
diff --git a/iso/etc/fstab b/iso/etc/fstab
new file mode 100644
index 0000000..aced1e7
--- /dev/null
+++ b/iso/etc/fstab
@@ -0,0 +1,5 @@
+/dev/cdroms/cdrom0 / iso9660 defaults 0 0
+devpts /dev/pts devpts defaults 0 0
+proc /proc proc defaults 0 0
+sysfs /sys sysfs defaults 0 0
+tmp /tmp tmpfs defaults 0 0
diff --git a/iso/etc/hosts b/iso/etc/hosts
new file mode 100644
index 0000000..73ed4d5
--- /dev/null
+++ b/iso/etc/hosts
@@ -0,0 +1,7 @@
+#
+# /etc/hosts: static lookup table for host names
+#
+
+127.0.0.1 localhost
+
+# End of file
diff --git a/iso/etc/inittab b/iso/etc/inittab
new file mode 100644
index 0000000..ab2c3dd
--- /dev/null
+++ b/iso/etc/inittab
@@ -0,0 +1,23 @@
+#
+# /etc/inittab: system runlevel description
+#
+
+id:2:initdefault:
+
+rc::sysinit:/etc/rc
+rs:S1:wait:/etc/rc.single
+rd:06:wait:/etc/rc.shutdown
+su:S:wait:/sbin/sulogin -p
+
+c1:2:respawn:/sbin/agetty 38400 vc/1 linux
+c2:2:respawn:/sbin/agetty 38400 vc/2 linux
+c3:2:respawn:/sbin/agetty 38400 vc/3 linux
+c4:2:respawn:/sbin/agetty 38400 vc/4 linux
+c5:2:respawn:/sbin/agetty 38400 vc/5 linux
+c6:2:respawn:/sbin/agetty 38400 vc/6 linux
+
+s1:2:respawn:/usr/bin/serial_console
+
+ca::ctrlaltdel:/sbin/shutdown -t3 -r now
+
+# End of file
diff --git a/iso/etc/issue b/iso/etc/issue
new file mode 100644
index 0000000..1aeecc5
--- /dev/null
+++ b/iso/etc/issue
@@ -0,0 +1,3 @@
+
+CRUX (\l)
+
diff --git a/iso/etc/ld.so.conf b/iso/etc/ld.so.conf
new file mode 100644
index 0000000..f4ce15b
--- /dev/null
+++ b/iso/etc/ld.so.conf
@@ -0,0 +1,5 @@
+#
+# /etc/ld.so.conf: dynamic linker configuration file
+#
+
+# End of file
diff --git a/iso/etc/protocols b/iso/etc/protocols
new file mode 100644
index 0000000..1154b54
--- /dev/null
+++ b/iso/etc/protocols
@@ -0,0 +1,149 @@
+# /etc/protocols:
+# $Id: protocols,v 1.1 2003/11/24 17:45:31 per Exp $
+#
+# Internet (IP) protocols
+#
+# from: @(#)protocols 5.1 (Berkeley) 4/17/89
+#
+# Updated for NetBSD based on RFC 1340, Assigned Numbers (July 1992).
+#
+# See also http://www.iana.org/assignments/protocol-numbers
+
+ip 0 IP # internet protocol, pseudo protocol number
+#hopopt 0 HOPOPT # hop-by-hop options for ipv6
+icmp 1 ICMP # internet control message protocol
+igmp 2 IGMP # internet group management protocol
+ggp 3 GGP # gateway-gateway protocol
+ipencap 4 IP-ENCAP # IP encapsulated in IP (officially ``IP'')
+st 5 ST # ST datagram mode
+tcp 6 TCP # transmission control protocol
+cbt 7 CBT # CBT, Tony Ballardie <A.Ballardie@cs.ucl.ac.uk>
+egp 8 EGP # exterior gateway protocol
+igp 9 IGP # any private interior gateway (Cisco: for IGRP)
+bbn-rcc 10 BBN-RCC-MON # BBN RCC Monitoring
+nvp 11 NVP-II # Network Voice Protocol
+pup 12 PUP # PARC universal packet protocol
+argus 13 ARGUS # ARGUS
+emcon 14 EMCON # EMCON
+xnet 15 XNET # Cross Net Debugger
+chaos 16 CHAOS # Chaos
+udp 17 UDP # user datagram protocol
+mux 18 MUX # Multiplexing protocol
+dcn 19 DCN-MEAS # DCN Measurement Subsystems
+hmp 20 HMP # host monitoring protocol
+prm 21 PRM # packet radio measurement protocol
+xns-idp 22 XNS-IDP # Xerox NS IDP
+trunk-1 23 TRUNK-1 # Trunk-1
+trunk-2 24 TRUNK-2 # Trunk-2
+leaf-1 25 LEAF-1 # Leaf-1
+leaf-2 26 LEAF-2 # Leaf-2
+rdp 27 RDP # "reliable datagram" protocol
+irtp 28 IRTP # Internet Reliable Transaction Protocol
+iso-tp4 29 ISO-TP4 # ISO Transport Protocol Class 4
+netblt 30 NETBLT # Bulk Data Transfer Protocol
+mfe-nsp 31 MFE-NSP # MFE Network Services Protocol
+merit-inp 32 MERIT-INP # MERIT Internodal Protocol
+sep 33 SEP # Sequential Exchange Protocol
+3pc 34 3PC # Third Party Connect Protocol
+idpr 35 IDPR # Inter-Domain Policy Routing Protocol
+xtp 36 XTP # Xpress Tranfer Protocol
+ddp 37 DDP # Datagram Delivery Protocol
+idpr-cmtp 38 IDPR-CMTP # IDPR Control Message Transport Proto
+tp++ 39 TP++ # TP++ Transport Protocol
+il 40 IL # IL Transport Protocol
+ipv6 41 IPv6 # IPv6
+sdrp 42 SDRP # Source Demand Routing Protocol
+ipv6-route 43 IPv6-Route # Routing Header for IPv6
+ipv6-frag 44 IPv6-Frag # Fragment Header for IPv6
+idrp 45 IDRP # Inter-Domain Routing Protocol
+rsvp 46 RSVP # Resource ReSerVation Protocol
+gre 47 GRE # Generic Routing Encapsulation
+mhrp 48 MHRP # Mobile Host Routing Protocol
+bna 49 BNA # BNA
+ipv6-crypt 50 IPv6-Crypt # Encryption Header for IPv6
+ipv6-auth 51 IPv6-Auth # Authentication Header for IPv6
+i-nlsp 52 I-NLSP # Integrated Net Layer Security TUBA
+swipe 53 SWIPE # IP with Encryption
+narp 54 NARP # NBMA Address Resolution Protocol
+mobile 55 MOBILE # IP Mobility
+tlsp 56 TLSP # Transport Layer Security Protocol
+skip 57 SKIP # SKIP
+ipv6-icmp 58 IPv6-ICMP icmpv6 icmp6 # ICMP for IPv6
+ipv6-nonxt 59 IPv6-NoNxt # No Next Header for IPv6
+ipv6-opts 60 IPv6-Opts # Destination Options for IPv6
+# 61 # any host internal protocol
+cftp 62 CFTP # CFTP
+# 63 # any local network
+sat-expak 64 SAT-EXPAK # SATNET and Backroom EXPAK
+kryptolan 65 KRYPTOLAN # Kryptolan
+rvd 66 RVD # MIT Remote Virtual Disk Protocol
+ippc 67 IPPC # Internet Pluribus Packet Core
+# 68 # any distributed file system
+sat-mon 69 SAT-MON # SATNET Monitoring
+visa 70 VISA # VISA Protocol
+ipcv 71 IPCV # Internet Packet Core Utility
+cpnx 72 CPNX # Computer Protocol Network Executive
+cphb 73 CPHB # Computer Protocol Heart Beat
+wsn 74 WSN # Wang Span Network
+pvp 75 PVP # Packet Video Protocol
+br-sat-mon 76 BR-SAT-MON # Backroom SATNET Monitoring
+sun-nd 77 SUN-ND # SUN ND PROTOCOL-Temporary
+wb-mon 78 WB-MON # WIDEBAND Monitoring
+wb-expak 79 WB-EXPAK # WIDEBAND EXPAK
+iso-ip 80 ISO-IP # ISO Internet Protocol
+vmtp 81 VMTP # Versatile Message Transport
+secure-vmtp 82 SECURE-VMTP # SECURE-VMTP
+vines 83 VINES # VINES
+ttp 84 TTP # TTP
+nsfnet-igp 85 NSFNET-IGP # NSFNET-IGP
+dgp 86 DGP # Dissimilar Gateway Protocol
+tcf 87 TCF # TCF
+eigrp 88 EIGRP # Enhanced Interior Routing Protocol (Cisco)
+ospf 89 OSPFIGP # Open Shortest Path First IGP
+sprite-rpc 90 Sprite-RPC # Sprite RPC Protocol
+larp 91 LARP # Locus Address Resolution Protocol
+mtp 92 MTP # Multicast Transport Protocol
+ax.25 93 AX.25 # AX.25 Frames
+ipip 94 IPIP # Yet Another IP encapsulation
+micp 95 MICP # Mobile Internetworking Control Pro.
+scc-sp 96 SCC-SP # Semaphore Communications Sec. Pro.
+etherip 97 ETHERIP # Ethernet-within-IP Encapsulation
+encap 98 ENCAP # Yet Another IP encapsulation
+# 99 # any private encryption scheme
+gmtp 100 GMTP # GMTP
+ifmp 101 IFMP # Ipsilon Flow Management Protocol
+pnni 102 PNNI # PNNI over IP
+pim 103 PIM # Protocol Independent Multicast
+aris 104 ARIS # ARIS
+scps 105 SCPS # SCPS
+qnx 106 QNX # QNX
+a/n 107 A/N # Active Networks
+ipcomp 108 IPComp # IP Payload Compression Protocol
+snp 109 SNP # Sitara Networks Protocol
+compaq-peer 110 Compaq-Peer # Compaq Peer Protocol
+ipx-in-ip 111 IPX-in-IP # IPX in IP
+vrrp 112 VRRP # Virtual Router Redundancy Protocol
+pgm 113 PGM # PGM Reliable Transport Protocol
+# 114 # any 0-hop protocol
+l2tp 115 L2TP # Layer Two Tunneling Protocol
+ddx 116 DDX # D-II Data Exchange
+iatp 117 IATP # Interactive Agent Transfer Protocol
+stp 118 STP # Schedule Transfer
+srp 119 SRP # SpectraLink Radio Protocol
+uti 120 UTI # UTI
+smp 121 SMP # Simple Message Protocol
+sm 122 SM # SM
+ptp 123 PTP # Performance Transparency Protocol
+isis 124 ISIS # ISIS over IPv4
+fire 125 FIRE
+crtp 126 CRTP # Combat Radio Transport Protocol
+crdup 127 CRUDP # Combat Radio User Datagram
+sscopmce 128 SSCOPMCE
+iplt 129 IPLT
+sps 130 SPS # Secure Packet Shield
+pipe 131 PIPE # Private IP Encapsulation within IP
+sctp 132 SCTP # Stream Control Transmission Protocol
+fc 133 FC # Fibre Channel
+# rsvp-e2e-ignore 134 RSVP-E2E-IGNORE
+# 134-254 # Unassigned
+# 255 # Reserved
diff --git a/iso/etc/rc b/iso/etc/rc
new file mode 100755
index 0000000..b32461b
--- /dev/null
+++ b/iso/etc/rc
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+# /etc/rc: system boot script
+#
+
+echo "The system is coming up. Please wait."
+
+# Start device management daemon
+/sbin/devfsd /dev
+
+# Mount filesystems
+/bin/mount -n -a &> /dev/null
+
+# Create /tmp/var
+/bin/mkdir /tmp/var
+/bin/chmod 0755 /tmp/var
+/bin/mkdir /var/lock /var/log /var/run /var/tmp
+/bin/touch /var/run/utmp
+
+# Start log daemons
+/usr/sbin/syslogd
+/usr/sbin/klogd -c 4
+
+# Setup network
+/sbin/ifconfig lo 127.0.0.1
+
+# End of file
diff --git a/iso/etc/rc.shutdown b/iso/etc/rc.shutdown
new file mode 100755
index 0000000..8e6b002
--- /dev/null
+++ b/iso/etc/rc.shutdown
@@ -0,0 +1,26 @@
+#!/bin/sh
+#
+# /etc/rc.shutdown: system shutdown script
+#
+
+# Set linefeed mode to avoid staircase effect
+/bin/stty onlcr
+
+echo "The system is coming down. Please wait."
+
+# Terminate all processes
+/sbin/killall5 -15
+/usr/bin/sleep 5
+/sbin/killall5 -9
+
+# Umount file systems
+/bin/umount -n -a &> /dev/null
+
+# Halt or reboot
+if [ $RUNLEVEL = 0 ]; then
+ /sbin/poweroff -d -f -i
+else
+ /sbin/reboot -d -f -i
+fi
+
+# End of file
diff --git a/iso/etc/rc.single b/iso/etc/rc.single
new file mode 100755
index 0000000..20c737c
--- /dev/null
+++ b/iso/etc/rc.single
@@ -0,0 +1,14 @@
+#!/bin/sh
+#
+# /etc/rc.single: single-user setup script
+#
+
+# Terminate all processes
+/sbin/killall5 -15
+/usr/bin/sleep 5
+/sbin/killall5 -9
+
+# Enter single-user mode
+exec /sbin/init -t1 S
+
+# End of file
diff --git a/iso/etc/services b/iso/etc/services
new file mode 100644
index 0000000..e757381
--- /dev/null
+++ b/iso/etc/services
@@ -0,0 +1,512 @@
+# /etc/services:
+# $Id: services,v 1.1 2003/11/24 17:45:31 per Exp $
+#
+# Network services, Internet style
+#
+# Note that it is presently the policy of IANA to assign a single well-known
+# port number for both TCP and UDP; hence, most entries here have two entries
+# even if the protocol doesn't support UDP operations.
+# Updated from RFC 1700, ``Assigned Numbers'' (October 1994). Not all ports
+# are included, only the more common ones.
+#
+# The latest IANA port assignments can be gotten from
+# http://www.iana.org/assignments/port-numbers
+# The Well Known Ports are those from 0 through 1023.
+# The Registered Ports are those from 1024 through 49151
+# The Dynamic and/or Private Ports are those from 49152 through 65535
+#
+# Each line describes one service, and is of the form:
+#
+# service-name port/protocol [aliases ...] [# comment]
+
+tcpmux 1/tcp # TCP port service multiplexer
+tcpmux 1/udp # TCP port service multiplexer
+rje 5/tcp # Remote Job Entry
+rje 5/udp # Remote Job Entry
+echo 7/tcp
+echo 7/udp
+discard 9/tcp sink null
+discard 9/udp sink null
+systat 11/tcp users
+systat 11/udp users
+daytime 13/tcp
+daytime 13/udp
+qotd 17/tcp quote
+qotd 17/udp quote
+msp 18/tcp # message send protocol
+msp 18/udp # message send protocol
+chargen 19/tcp ttytst source
+chargen 19/udp ttytst source
+ftp-data 20/tcp
+ftp-data 20/udp
+ftp 21/tcp
+ftp 21/udp
+ssh 22/tcp # SSH Remote Login Protocol
+ssh 22/udp # SSH Remote Login Protocol
+telnet 23/tcp
+telnet 23/udp
+# 24 - private mail system
+smtp 25/tcp mail
+smtp 25/udp mail
+time 37/tcp timserver
+time 37/udp timserver
+rlp 39/tcp resource # resource location
+rlp 39/udp resource # resource location
+nameserver 42/tcp name # IEN 116
+nameserver 42/udp name # IEN 116
+nicname 43/tcp whois
+nicname 43/udp whois
+tacacs 49/tcp # Login Host Protocol (TACACS)
+tacacs 49/udp # Login Host Protocol (TACACS)
+re-mail-ck 50/tcp # Remote Mail Checking Protocol
+re-mail-ck 50/udp # Remote Mail Checking Protocol
+domain 53/tcp nameserver # name-domain server
+domain 53/udp nameserver
+whois++ 63/tcp
+whois++ 63/udp
+bootps 67/tcp # BOOTP server
+bootps 67/udp
+bootpc 68/tcp # BOOTP client
+bootpc 68/udp
+tftp 69/tcp
+tftp 69/udp
+gopher 70/tcp # Internet Gopher
+gopher 70/udp
+netrjs-1 71/tcp # Remote Job Service
+netrjs-1 71/udp # Remote Job Service
+netrjs-2 72/tcp # Remote Job Service
+netrjs-2 72/udp # Remote Job Service
+netrjs-3 73/tcp # Remote Job Service
+netrjs-3 73/udp # Remote Job Service
+netrjs-4 74/tcp # Remote Job Service
+netrjs-4 74/udp # Remote Job Service
+finger 79/tcp
+finger 79/udp
+http 80/tcp www www-http # WorldWideWeb HTTP
+http 80/udp www www-http # HyperText Transfer Protocol
+kerberos 88/tcp kerberos5 krb5 # Kerberos v5
+kerberos 88/udp kerberos5 krb5 # Kerberos v5
+supdup 95/tcp
+supdup 95/udp
+hostname 101/tcp hostnames # usually from sri-nic
+hostname 101/udp hostnames # usually from sri-nic
+iso-tsap 102/tcp tsap # part of ISODE.
+csnet-ns 105/tcp cso # also used by CSO name server
+csnet-ns 105/udp cso
+# unfortunately the poppassd (Eudora) uses a port which has already
+# been assigned to a different service. We list the poppassd as an
+# alias here. This should work for programs asking for this service.
+# (due to a bug in inetd the 3com-tsmux line is disabled)
+#3com-tsmux 106/tcp poppassd
+#3com-tsmux 106/udp poppassd
+rtelnet 107/tcp # Remote Telnet
+rtelnet 107/udp
+pop2 109/tcp pop-2 postoffice # POP version 2
+pop2 109/udp pop-2
+pop3 110/tcp pop-3 # POP version 3
+pop3 110/udp pop-3
+sunrpc 111/tcp portmapper # RPC 4.0 portmapper TCP
+sunrpc 111/udp portmapper # RPC 4.0 portmapper UDP
+auth 113/tcp authentication tap ident
+auth 113/udp authentication tap ident
+sftp 115/tcp
+sftp 115/udp
+uucp-path 117/tcp
+uucp-path 117/udp
+nntp 119/tcp readnews untp # USENET News Transfer Protocol
+nntp 119/udp readnews untp # USENET News Transfer Protocol
+ntp 123/tcp
+ntp 123/udp # Network Time Protocol
+netbios-ns 137/tcp # NETBIOS Name Service
+netbios-ns 137/udp
+netbios-dgm 138/tcp # NETBIOS Datagram Service
+netbios-dgm 138/udp
+netbios-ssn 139/tcp # NETBIOS session service
+netbios-ssn 139/udp
+imap 143/tcp imap2 # Interim Mail Access Proto v2
+imap 143/udp imap2
+snmp 161/tcp # Simple Net Mgmt Proto
+snmp 161/udp # Simple Net Mgmt Proto
+snmptrap 162/udp snmp-trap # Traps for SNMP
+cmip-man 163/tcp # ISO mgmt over IP (CMOT)
+cmip-man 163/udp
+cmip-agent 164/tcp
+cmip-agent 164/udp
+mailq 174/tcp # MAILQ
+mailq 174/udp # MAILQ
+xdmcp 177/tcp # X Display Mgr. Control Proto
+xdmcp 177/udp
+nextstep 178/tcp NeXTStep NextStep # NeXTStep window
+nextstep 178/udp NeXTStep NextStep # server
+bgp 179/tcp # Border Gateway Proto.
+bgp 179/udp
+prospero 191/tcp # Cliff Neuman's Prospero
+prospero 191/udp
+irc 194/tcp # Internet Relay Chat
+irc 194/udp
+smux 199/tcp # SNMP Unix Multiplexer
+smux 199/udp
+at-rtmp 201/tcp # AppleTalk routing
+at-rtmp 201/udp
+at-nbp 202/tcp # AppleTalk name binding
+at-nbp 202/udp
+at-echo 204/tcp # AppleTalk echo
+at-echo 204/udp
+at-zis 206/tcp # AppleTalk zone information
+at-zis 206/udp
+qmtp 209/tcp # Quick Mail Transfer Protocol
+qmtp 209/udp # Quick Mail Transfer Protocol
+z39.50 210/tcp z3950 wais # NISO Z39.50 database
+z39.50 210/udp z3950 wais
+ipx 213/tcp # IPX
+ipx 213/udp
+imap3 220/tcp # Interactive Mail Access
+imap3 220/udp # Protocol v3
+link 245/tcp ttylink
+link 245/ucp ttylink
+rsvp_tunnel 363/tcp
+rsvp_tunnel 363/udp
+rpc2portmap 369/tcp
+rpc2portmap 369/udp # Coda portmapper
+codaauth2 370/tcp
+codaauth2 370/udp # Coda authentication server
+ulistproc 372/tcp ulistserv # UNIX Listserv
+ulistproc 372/udp ulistserv
+ldap 389/tcp
+ldap 389/udp
+svrloc 427/tcp # Server Location Protocl
+svrloc 427/udp # Server Location Protocl
+mobileip-agent 434/tcp
+mobileip-agent 434/udp
+mobilip-mn 435/tcp
+mobilip-mn 435/udp
+https 443/tcp # MCom
+https 443/udp # MCom
+snpp 444/tcp # Simple Network Paging Protocol
+snpp 444/udp # Simple Network Paging Protocol
+microsoft-ds 445/tcp
+microsoft-ds 445/udp
+kpasswd 464/tcp kpwd # Kerberos "passwd"
+kpasswd 464/udp kpwd # Kerberos "passwd"
+photuris 468/tcp
+photuris 468/udp
+saft 487/tcp # Simple Asynchronous File Transfer
+saft 487/udp # Simple Asynchronous File Transfer
+gss-http 488/tcp
+gss-http 488/udp
+pim-rp-disc 496/tcp
+pim-rp-disc 496/udp
+isakmp 500/tcp
+isakmp 500/udp
+gdomap 538/tcp # GNUstep distributed objects
+gdomap 538/udp # GNUstep distributed objects
+iiop 535/tcp
+iiop 535/udp
+dhcpv6-client 546/tcp
+dhcpv6-client 546/udp
+dhcpv6-server 547/tcp
+dhcpv6-server 547/udp
+rtsp 554/tcp # Real Time Stream Control Protocol
+rtsp 554/udp # Real Time Stream Control Protocol
+nntps 563/tcp # NNTP over SSL
+nntps 563/udp # NNTP over SSL
+whoami 565/tcp
+whoami 565/udp
+submission 587/tcp msa # mail message submission
+submission 587/udp msa # mail message submission
+npmp-local 610/tcp dqs313_qmaster # npmp-local / DQS
+npmp-local 610/udp dqs313_qmaster # npmp-local / DQS
+npmp-gui 611/tcp dqs313_execd # npmp-gui / DQS
+npmp-gui 611/udp dqs313_execd # npmp-gui / DQS
+hmmp-ind 612/tcp dqs313_intercell # HMMP Indication / DQS
+hmmp-ind 612/udp dqs313_intercell # HMMP Indication / DQS
+ldaps 636/tcp # LDAP over SSL
+ldaps 636/udp # LDAP over SSL
+acap 674/tcp
+acap 674/udp
+ha-cluster 694/tcp # Heartbeat HA-cluster
+ha-cluster 694/udp # Heartbeat HA-cluster
+kerberos-adm 749/tcp # Kerberos `kadmin' (v5)
+kerberos-iv 750/udp kerberos4 kerberos-sec kdc
+kerberos-iv 750/tcp kerberos4 kerberos-sec kdc
+webster 765/tcp # Network dictionary
+webster 765/udp
+phonebook 767/tcp # Network phonebook
+phonebook 767/udp
+rsync 873/tcp # rsync
+rsync 873/udp # rsync
+telnets 992/tcp
+telnets 992/udp
+imaps 993/tcp # IMAP over SSL
+imaps 993/udp # IMAP over SSL
+ircs 994/tcp
+ircs 994/udp
+pop3s 995/tcp # POP-3 over SSL
+pop3s 995/udp # POP-3 over SSL
+
+#
+# UNIX specific services
+#
+exec 512/tcp
+biff 512/udp comsat
+login 513/tcp
+who 513/udp whod
+shell 514/tcp cmd # no passwords used
+syslog 514/udp
+printer 515/tcp spooler # line printer spooler
+printer 515/udp spooler # line printer spooler
+talk 517/udp
+ntalk 518/udp
+utime 519/tcp unixtime
+utime 519/udp unixtime
+efs 520/tcp
+router 520/udp route routed # RIP
+ripng 521/tcp
+ripng 521/udp
+timed 525/tcp timeserver
+timed 525/udp timeserver
+tempo 526/tcp newdate
+courier 530/tcp rpc
+conference 531/tcp chat
+netnews 532/tcp readnews
+netwall 533/udp # -for emergency broadcasts
+uucp 540/tcp uucpd # uucp daemon
+klogin 543/tcp # Kerberized `rlogin' (v5)
+kshell 544/tcp krcmd # Kerberized `rsh' (v5)
+afpovertcp 548/tcp # AFP over TCP
+afpovertcp 548/udp # AFP over TCP
+remotefs 556/tcp rfs_server rfs # Brunhoff remote filesystem
+
+#
+# From ``PORT NUMBERS'':
+#
+#>REGISTERED PORT NUMBERS
+#>
+#>The Registered Ports are listed by the IANA and on most systems can be
+#>used by ordinary user processes or programs executed by ordinary
+#>users.
+#>
+#>Ports are used in the TCP [RFC793] to name the ends of logical
+#>connections which carry long term conversations. For the purpose of
+#>providing services to unknown callers, a service contact port is
+#>defined. This list specifies the port used by the server process as
+#>its contact port.
+#>
+#>The IANA registers uses of these ports as a convienence to the
+#>community.
+#
+socks 1080/tcp # socks proxy server
+socks 1080/udp # socks proxy server
+h323hostcallsc 1300/tcp # H323 Host Call Secure
+h323hostcallsc 1300/udp # H323 Host Call Secure
+ms-sql-s 1433/tcp # Microsoft-SQL-Server
+ms-sql-s 1433/udp # Microsoft-SQL-Server
+ms-sql-m 1434/tcp # Microsoft-SQL-Monitor
+ms-sql-m 1434/udp # Microsoft-SQL-Monitor
+ica 1494/tcp # Citrix ICA Client
+ica 1494/udp # Citrix ICA Client
+wins 1512/tcp # Microsoft's Windows Internet Name Service
+wins 1512/udp # Microsoft's Windows Internet Name Service
+ingreslock 1524/tcp
+ingreslock 1524/udp
+prospero-np 1525/tcp # Prospero non-privileged
+prospero-np 1525/udp
+datametrics 1645/tcp old-radius # datametrics / old radius entry
+datametrics 1645/udp old-radius # datametrics / old radius entry
+sa-msg-port 1646/tcp old-radacct # sa-msg-port / old radacct entry
+sa-msg-port 1646/udp old-radacct # sa-msg-port / old radacct entry
+kermit 1649/tcp
+kermit 1649/udp
+l2tp 1701/tcp l2f
+l2tp 1701/udp l2f
+h323gatedisc 1718/tcp
+h323gatedisc 1718/udp
+h323gatestat 1719/tcp
+h323gatestat 1719/udp
+h323hostcall 1720/tcp
+h323hostcall 1720/udp
+tftp-mcast 1758/tcp
+tftp-mcast 1758/udp
+hello 1789/tcp
+hello 1789/udp
+radius 1812/tcp # Radius
+radius 1812/udp # Radius
+radius-acct 1813/tcp radacct # Radius Accounting
+radius-acct 1813/udp radacct # Radius Accounting
+mtp 1911/tcp #
+mtp 1911/udp #
+hsrp 1985/tcp # Cisco Hot Standby Router Protocol
+hsrp 1985/udp # Cisco Hot Standby Router Protocol
+licensedaemon 1986/tcp
+licensedaemon 1986/udp
+gdp-port 1997/tcp # Cisco Gateway Discovery Protocol
+gdp-port 1997/udp # Cisco Gateway Discovery Protocol
+nfs 2049/tcp nfsd
+nfs 2049/udp nfsd
+zephyr-srv 2102/tcp # Zephyr server
+zephyr-srv 2102/udp # Zephyr server
+zephyr-clt 2103/tcp # Zephyr serv-hm connection
+zephyr-clt 2103/udp # Zephyr serv-hm connection
+zephyr-hm 2104/tcp # Zephyr hostmanager
+zephyr-hm 2104/udp # Zephyr hostmanager
+cvspserver 2401/tcp # CVS client/server operations
+cvspserver 2401/udp # CVS client/server operations
+venus 2430/tcp # codacon port
+venus 2430/udp # Venus callback/wbc interface
+venus-se 2431/tcp # tcp side effects
+venus-se 2431/udp # udp sftp side effect
+codasrv 2432/tcp # not used
+codasrv 2432/udp # server port
+codasrv-se 2433/tcp # tcp side effects
+codasrv-se 2433/udp # udp sftp side effectQ
+corbaloc 2809/tcp # CORBA naming service locator
+icpv2 3130/tcp # Internet Cache Protocol V2 (Squid)
+icpv2 3130/udp # Internet Cache Protocol V2 (Squid)
+mysql 3306/tcp # MySQL
+mysql 3306/udp # MySQL
+trnsprntproxy 3346/tcp # Trnsprnt Proxy
+trnsprntproxy 3346/udp # Trnsprnt Proxy
+rwhois 4321/tcp # Remote Who Is
+rwhois 4321/udp # Remote Who Is
+krb524 4444/tcp # Kerberos 5 to 4 ticket xlator
+krb524 4444/udp # Kerberos 5 to 4 ticket xlator
+rfe 5002/tcp # Radio Free Ethernet
+rfe 5002/udp # Actually uses UDP only
+cfengine 5308/tcp # CFengine
+cfengine 5308/udp # CFengine
+cvsup 5999/tcp CVSup # CVSup file transfer/John Polstra/FreeBSD
+cvsup 5999/udp CVSup # CVSup file transfer/John Polstra/FreeBSD
+x11 6000/tcp X # the X Window System
+afs3-fileserver 7000/tcp # file server itself
+afs3-fileserver 7000/udp # file server itself
+afs3-callback 7001/tcp # callbacks to cache managers
+afs3-callback 7001/udp # callbacks to cache managers
+afs3-prserver 7002/tcp # users & groups database
+afs3-prserver 7002/udp # users & groups database
+afs3-vlserver 7003/tcp # volume location database
+afs3-vlserver 7003/udp # volume location database
+afs3-kaserver 7004/tcp # AFS/Kerberos authentication service
+afs3-kaserver 7004/udp # AFS/Kerberos authentication service
+afs3-volser 7005/tcp # volume managment server
+afs3-volser 7005/udp # volume managment server
+afs3-errors 7006/tcp # error interpretation service
+afs3-errors 7006/udp # error interpretation service
+afs3-bos 7007/tcp # basic overseer process
+afs3-bos 7007/udp # basic overseer process
+afs3-update 7008/tcp # server-to-server updater
+afs3-update 7008/udp # server-to-server updater
+afs3-rmtsys 7009/tcp # remote cache manager service
+afs3-rmtsys 7009/udp # remote cache manager service
+sd 9876/tcp # Session Director
+sd 9876/udp # Session Director
+amanda 10080/tcp # amanda backup services
+amanda 10080/udp # amanda backup services
+pgpkeyserver 11371/tcp # PGP/GPG public keyserver
+pgpkeyserver 11371/udp # PGP/GPG public keyserver
+h323callsigalt 11720/tcp # H323 Call Signal Alternate
+h323callsigalt 11720/udp # H323 Call Signal Alternate
+quake 26000/tcp
+quake 26000/udp
+wnn6-ds 26208/tcp
+wnn6-ds 26208/udp
+traceroute 33434/tcp
+traceroute 33434/udp
+
+#
+# Datagram Delivery Protocol services
+#
+rtmp 1/ddp # Routing Table Maintenance Protocol
+nbp 2/ddp # Name Binding Protocol
+echo 4/ddp # AppleTalk Echo Protocol
+zip 6/ddp # Zone Information Protocol
+#
+# Kerberos (Project Athena/MIT) services
+# Note that these are for Kerberos v4, and are unofficial. Sites running
+# v4 should uncomment these and comment out the v5 entries above.
+#
+kerberos_master 751/udp # Kerberos authentication
+kerberos_master 751/tcp # Kerberos authentication
+passwd_server 752/udp # Kerberos passwd server
+krbupdate 760/tcp kreg # Kerberos registration
+kpop 1109/tcp # Pop with Kerberos
+knetd 2053/tcp # Kerberos de-multiplexor
+#
+# Kerberos 5 services, also not registered with IANA
+#
+krb5_prop 754/tcp # Kerberos slave propagation
+eklogin 2105/tcp # Kerberos encrypted rlogin
+#
+# Unofficial but necessary (for NetBSD) services
+#
+supfilesrv 871/tcp # SUP server
+supfiledbg 1127/tcp # SUP debugging
+#
+# Unofficial but useful/necessary other services
+#
+netstat 15/tcp # (was once asssigned, no more)
+fsp 21/udp fspd #
+linuxconf 98/tcp # Linuxconf HTML access
+poppassd 106/tcp # Eudora
+poppassd 106/udp # Eudora
+smtps 465/tcp # SMTP over SSL (TLS)
+gii 616/tcp # gated interactive interface
+omirr 808/tcp omirrd # online mirror
+omirr 808/udp omirrd # online mirror
+swat 901/tcp # Samba Web Administration Tool
+rndc 953/tcp # rndc control sockets (BIND 9)
+rndc 953/udp # rndc control sockets (BIND 9)
+skkserv 1178/tcp # SKK Japanese input method
+rmtcfg 1236/tcp # Gracilis Packeten remote config server
+xtel 1313/tcp # french minitel
+support 1529/tcp prmsd gnatsd # GNATS, cygnus bug tracker
+cfinger 2003/tcp # GNU Finger
+ninstall 2150/tcp # ninstall service
+ninstall 2150/udp # ninstall service
+afbackup 2988/tcp # Afbackup system
+afbackup 2988/udp # Afbackup system
+squid 3128/tcp # squid web proxy
+prsvp 3455/tcp # RSVP Port
+prsvp 3455/udp # RSVP Port
+postgres 5432/tcp # POSTGRES
+postgres 5432/udp # POSTGRES
+fax 4557/tcp # FAX transmission service (old)
+hylafax 4559/tcp # HylaFAX client-server protocol (new)
+sgi-dgl 5232/tcp # SGI Distributed Graphics
+sgi-dgl 5232/udp
+noclog 5354/tcp # noclogd with TCP (nocol)
+noclog 5354/udp # noclogd with UDP (nocol)
+hostmon 5355/tcp # hostmon uses TCP (nocol)
+hostmon 5355/udp # hostmon uses TCP (nocol)
+x11-ssh-offset 6010/tcp # SSH X11 forwarding offset
+ircd 6667/tcp # Internet Relay Chat
+ircd 6667/udp # Internet Relay Chat
+xfs 7100/tcp # X font server
+tircproxy 7666/tcp # Tircproxy
+http-alt 8008/tcp
+http-alt 8008/udp
+webcache 8080/tcp # WWW caching service
+webcache 8080/udp # WWW caching service
+tproxy 8081/tcp # Transparent Proxy
+tproxy 8081/udp # Transparent Proxy
+jetdirect 9100/tcp laserjet hplj #
+mandelspawn 9359/udp mandelbrot # network mandelbrot
+kamanda 10081/tcp # amanda backup services (Kerberos)
+kamanda 10081/udp # amanda backup services (Kerberos)
+amandaidx 10082/tcp # amanda backup services
+amidxtape 10083/tcp # amanda backup services
+isdnlog 20011/tcp # isdn logging system
+isdnlog 20011/udp # isdn logging system
+vboxd 20012/tcp # voice box system
+vboxd 20012/udp # voice box system
+binkp 24554/tcp # Binkley
+binkp 24554/udp # Binkley
+asp 27374/tcp # Address Search Protocol
+asp 27374/udp # Address Search Protocol
+canna 5680/tcp
+tfido 60177/tcp # Ifmail
+tfido 60177/udp # Ifmail
+fido 60179/tcp # Ifmail
+fido 60179/udp # Ifmail
+
+# Local services
+
diff --git a/iso/isolinux/boot.msg b/iso/isolinux/boot.msg
new file mode 100644
index 0000000..416a7de
--- /dev/null
+++ b/iso/isolinux/boot.msg
@@ -0,0 +1,7 @@
+ Welcome to CRUX 2.1
+
+Press <Enter> to boot using the CD-ROM (/dev/cdroms/cdrom0) as root filesystem.
+
+To change root filesystem type: CRUX root=/dev/<device>
+To disable ACPI type: CRUX acpi=off
+
diff --git a/iso/isolinux/isolinux.cfg b/iso/isolinux/isolinux.cfg
new file mode 100644
index 0000000..bed11c1
--- /dev/null
+++ b/iso/isolinux/isolinux.cfg
@@ -0,0 +1,7 @@
+SERIAL 0 38400
+DISPLAY /boot/isolinux/boot.msg
+PROMPT 1
+DEFAULT CRUX
+LABEL CRUX
+ KERNEL /boot/vmlinuz
+ APPEND root=/dev/cdroms/cdrom0 ro console=ttyS0,38400 console=tty0

Generated by cgit